You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: <smi...@us...> - 2003-11-07 02:04:13
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv28251 Modified Files: CHANGES Log Message: added support for updating the pwc driver Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.554 retrieving revision 1.555 diff -u -d -r1.554 -r1.555 --- CHANGES 7 Nov 2003 00:13:44 -0000 1.554 +++ CHANGES 7 Nov 2003 02:04:09 -0000 1.555 @@ -23,6 +23,7 @@ # 1.1.1 +- updated the philips usb webcam driver to v8.12 - alsa modules - stage 1 (rpd) - updated apache httpd to v2.0.48 - updated pppoe-patch to v5 |
|
From: <smi...@us...> - 2003-11-07 02:04:13
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1:/tmp/cvs-serv28251/scripts/configuration Modified Files: linux.config Log Message: added support for updating the pwc driver Index: linux.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/linux.config,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- linux.config 2 Oct 2003 15:58:26 -0000 1.5 +++ linux.config 7 Nov 2003 02:04:10 -0000 1.6 @@ -6,3 +6,4 @@ # http://www.devil-linux.org menu_add "Build Configuration" bool "Symmetric multi-processing support" CONFIG_LINUX_SMP +menu_add "System|Hardware Support" bool "Update Philips USB Webcam Kernel Driver (pwc)" CONFIG_LINUX_UPDATE_PWC |
|
From: <rap...@us...> - 2003-11-07 00:15:49
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv11873/scripts
Added Files:
alsa-driver
Log Message:
alsa support, stage 1
--- NEW FILE: alsa-driver ---
#!/bin/bash
# ALSA modules added by Diego Torres <dt...@co...>
# you need the next line, otherwise script won't be executed !!!
# DL-build-system v3
### BEGIN INIT INFO
# Provides: alsa-driver
# Required-Start: $basebuildtools $libs linux
# Required-Stop:
# Default-Start: 1 2
# Default-Stop:
# Description: alsa sound support, 1st step
### END INIT INFO
# get the directoryname of the script
MYDIR=${0%/*}
# source functions and config
source $MYDIR/settings
source $MYDIR/functions
MYNAME=ALSA-DRIVER
case $1 in
build )
if [ "$CONFIG_ALSA" = "y" ]; then
# ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || exit 1
./configure --with-isa-pnp=no --with-oss=yes --with-cards=all || exit 1
make $PMAKE || exit 1
strip_debug
fi
;;
install )
if [ "$CONFIG_ALSA" = "y" ]; then
rm -rf $WORKDIR/tmp || exit 1
mkdir -p $WORKDIR/tmp || exit 1
make install DESTDIR=$WORKDIR/tmp || exit 1
copy_files $WORKDIR/tmp/usr/* $CDDIR/ || exit 1
copy_files $WORKDIR/tmp/lib/* $CDDIR/ || exit 1
copy_files $WORKDIR/tmp/etc/* $ETCDIR/ || exit 1
rm -rf $WORKDIR/tmp || exit 1
echo "HELP_$MYNAME=\"$MYNAME are the needed modules to have sound support\"" >> $SOFTWAREHELP
fi
;;
* )
echo "ERROR ($0)"
echo "please add parameter so I know what to do"
exit 1
;;
esac
|
|
From: <rap...@us...> - 2003-11-07 00:14:06
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv11342 Modified Files: CHANGES LINKS Log Message: alsa stage 1 Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.553 retrieving revision 1.554 diff -u -d -r1.553 -r1.554 --- CHANGES 6 Nov 2003 01:01:15 -0000 1.553 +++ CHANGES 7 Nov 2003 00:13:44 -0000 1.554 @@ -23,6 +23,7 @@ # 1.1.1 +- alsa modules - stage 1 (rpd) - updated apache httpd to v2.0.48 - updated pppoe-patch to v5 - downgraded wvdial to v1.53 Index: LINKS =================================================================== RCS file: /cvsroot/devil-linux/build/LINKS,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- LINKS 10 Oct 2003 21:19:26 -0000 1.11 +++ LINKS 7 Nov 2003 00:13:44 -0000 1.12 @@ -49,4 +49,7 @@ ftp://ftp.suse.com/pub/projects/init various Kernel patches: - http://members.optushome.com.au/ckolivas/kernel/ \ No newline at end of file + http://members.optushome.com.au/ckolivas/kernel/ + +alsa-sound modules/drivers/utils + http://www.alsa-project.org |
|
From: <rap...@us...> - 2003-11-07 00:14:05
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv11342/scripts
Modified Files:
cd_cleanup
Log Message:
alsa stage 1
Index: cd_cleanup
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/cd_cleanup,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -d -r1.4 -r1.5
--- cd_cleanup 30 Oct 2003 20:44:18 -0000 1.4
+++ cd_cleanup 7 Nov 2003 00:13:45 -0000 1.5
@@ -28,10 +28,10 @@
install )
rm $CDDIR/usr/lib/*a
rm -rf $CDDIR/usr/include/*
- pushd $CDDIR/usr/bin; strip_debug ; popd
- pushd $CDDIR/bin; strip_debug ; popd
- pushd $CDDIR/sbin; strip_debug ; popd
- pushd $CDDIR/usr/sbin; strip_debug ; popd
+ pushd $CDDIR/usr/bin > /dev/null; strip_debug ; popd > /dev/null
+ pushd $CDDIR/bin > /dev/null; strip_debug ; popd > /dev/null
+ pushd $CDDIR/sbin > /dev/null; strip_debug ; popd > /dev/null
+ pushd $CDDIR/usr/sbin > /dev/null; strip_debug ; popd > /dev/null
if [ "$CONFIG_DEVIL_DOC_ISO" != "y" ]; then
rm -rf $ISODIR/cdtree/doc || exit 1
|
|
From: <bl...@us...> - 2003-11-06 16:36:08
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv12897 Modified Files: coreutils Log Message: Fix missing "hostname" command. Index: coreutils =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/coreutils,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- coreutils 13 Oct 2003 17:36:08 -0000 1.5 +++ coreutils 6 Nov 2003 16:35:59 -0000 1.6 @@ -44,7 +44,7 @@ mkdir -p $WORKDIR/tmp/bin || exit 1 make DESTDIR=$WORKDIR/tmp install || exit 1 rm $WORKDIR/tmp/bin/su - rm $WORKDIR/tmp/bin/hostname + #rm $WORKDIR/tmp/bin/hostname copy_docs $WORKDIR/tmp ln -sf test $WORKDIR/tmp/bin/[ cp -dpR $WORKDIR/tmp/* $CDDIR/ || exit 1 |
|
From: <bl...@us...> - 2003-11-06 01:23:42
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv22255
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.26
retrieving revision 1.510.2.27
diff -u -d -r1.510.2.26 -r1.510.2.27
--- CHANGES 6 Nov 2003 00:48:07 -0000 1.510.2.26
+++ CHANGES 6 Nov 2003 01:23:37 -0000 1.510.2.27
@@ -23,6 +23,7 @@
#
1.0.2
+- added menu driven configuration update (bs)
- updated vlan to v1.8
- updated snort to v2.02
- updated mdadm to v1.40
|
|
From: <smi...@us...> - 2003-11-06 01:01:19
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv17363 Modified Files: CHANGES Log Message: updates Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.552 retrieving revision 1.553 diff -u -d -r1.552 -r1.553 --- CHANGES 5 Nov 2003 02:44:32 -0000 1.552 +++ CHANGES 6 Nov 2003 01:01:15 -0000 1.553 @@ -23,6 +23,7 @@ # 1.1.1 +- updated apache httpd to v2.0.48 - updated pppoe-patch to v5 - downgraded wvdial to v1.53 - downgraded wvstreams to v3.70 |
|
From: <smi...@us...> - 2003-11-06 00:48:13
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv14890
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
updates
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.25
retrieving revision 1.510.2.26
diff -u -d -r1.510.2.25 -r1.510.2.26
--- CHANGES 5 Nov 2003 02:43:32 -0000 1.510.2.25
+++ CHANGES 6 Nov 2003 00:48:07 -0000 1.510.2.26
@@ -23,6 +23,11 @@
#
1.0.2
+- updated vlan to v1.8
+- updated snort to v2.02
+- updated mdadm to v1.40
+- updated syslog-ng to v1.60rc4
+- updated libol to v0.3.11
- pppoe patch was missing
- updated iptables to v1.2.9
- updated libxml2 to v2.6.2
|
|
From: <bl...@us...> - 2003-11-05 16:14:00
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv5036 Modified Files: pre_init Log Message: Clean up by removing unneeded commented out code. Index: pre_init =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- pre_init 3 Nov 2003 02:24:22 -0000 1.10 +++ pre_init 5 Nov 2003 16:03:43 -0000 1.11 @@ -67,12 +67,6 @@ echo "Your media is version: $RV1" echo "Your cdrom is version: $RV2" $NORMAL - - #export LINES=$(stty size|cut -f1 -d' ') - #export COLUMNS=$(stty size|cut -f2 -d' ') - #export PS1='> ' - #export PS2='> ' - echo read -n 1 -t 300 -p 'Press any key to upgrade, or "n" to skip. (timeout in 5 minutes)' bs echo |
|
From: <bl...@us...> - 2003-11-05 16:13:39
|
Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv5686
Modified Files:
Tag: rel-1-0-patches
pre_init
Log Message:
Code to update configuration on new releases.
Index: pre_init
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/scripts/pre_init,v
retrieving revision 1.6.2.1
retrieving revision 1.6.2.2
diff -u -d -r1.6.2.1 -r1.6.2.2
--- pre_init 9 Oct 2003 00:15:47 -0000 1.6.2.1
+++ pre_init 5 Nov 2003 16:07:12 -0000 1.6.2.2
@@ -46,9 +46,14 @@
mount -o remount,size=$CHANGE_SHMFS_SIZE /shm
fi
+# unpack /var to the shmfs
+echo "Unpacking /var"
+tar -C /shm/ -xjf /config/var.tar.bz2
+
if [ -d /config/etc_files ]; then
if ! cmp -s /shm/etc/Devil-release /config/etc_files/Devil-release
then
+ cp -f /config/etc_files/issue* /etc
RV1="$(cat /shm/etc/Devil-release | sed 's/Devil-Linux //')"
RV2="$(cat /config/etc_files/Devil-release | sed 's/Devil-Linux //')"
echo
@@ -63,21 +68,50 @@
echo "Your cdrom is version: $RV2"
$NORMAL
echo
- echo 'Running "save-config" will eliminate this error message in future reboots,'
- echo "but will NOT fix any problems caused by old configuration files."
- echo
- read -n 1 -t 60 -p "Press any key to continue ... (or timeout in 60 seconds)"
+ read -n 1 -t 300 -p 'Press any key to upgrade, or "n" to skip. (timeout in 5 minutes)' bs
echo
+ if [ "$bs" != "n" ]; then
+ echo
+ echo -n "Comparing configurations, please wait "
+ /sbin/upgrade-config
+ echo
+ read -n 1 -t 300 -p 'Press any key to switch to your new config, or "n" to skip. (timeout in 5 min)' bs
+ echo
+ if [ "$bs" != "n" ]; then
+ cp -f /config/etc_files/* /shm/newconfig/etc/
+ cp -f /shm/etc/mtab /shm/newconfig/etc/
+ mv /shm/etc /shm/etc-old
+ mv /shm/newconfig/etc/ /shm/etc
+ $YELLOW
+ echo
+ echo 'You MUST run "save-config" after bootup to save your new config'
+ echo
+ $NORMAL
+ echo 'Your old etc directory will be saved until reboot at: /shm/etc-old'
+ echo "Your old config file has been saved as: /etc/sysconfig/config.old"
+ echo "A log of all changes is available at: /etc/sysconfig/upgrade.log"
+
+ echo
+ read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)'
+ echo
+ else
+ rm -fr /shm/newconfig
+ $YELLOW
+ echo
+ echo
+ echo 'No changes made.'
+ echo
+ $NORMAL
+ read -n 1 -t 300 -p 'Press any key to continue ... (timeout in 5 minutes)'
+ echo
+ fi
+ fi
+ unset bs
fi
- cp -fdR /config/etc_files/* /etc
fi
# make sure, all the files in /etc are owned by root
chown -R 0.0 /shm/etc/*
-
-# unpack /var to the shmfs
-echo "Unpacking /var"
-tar -C /shm/ -xjf /config/var.tar.bz2
echo "Initializing devfs"
mount -t devfs none /dev
|
|
From: <bl...@us...> - 2003-11-05 16:07:30
|
Update of /cvsroot/devil-linux/build/scripts/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv3994/scripts/scripts
Added Files:
Tag: rel-1-0-patches
upgrade-config
Log Message:
Check in of upgrade-config script to 1.0 release.
--- NEW FILE: upgrade-config ---
#!/bin/sh
# $Id: upgrade-config,v 1.6.2.1 2003/11/05 15:57:44 blubdog Exp $
#
# $Source: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v $
# $Revision: 1.6.2.1 $
# $Date: 2003/11/05 15:57:44 $
#
# http://www.devil-linux.org
#
# Written by: Bruce Smith <dev...@re...>
TMPC=/shm/var/tmp/upd-config.$$
TMPD=/shm/var/tmp/upd-etc.$$
TMPF=/shm/var/tmp/upd-tmp.$$
RESULT=/shm/var/tmp/upd-res.$$
RAMDISKDIR="/shm"
LOGF="newconfig/etc/sysconfig/upgrade.log"
#DIALOG="dialog --clear --aspect 76 --no-shadow"
DIALOG="dialog --clear --no-shadow"
BACKTITLE="Devil-Linux configuration upgrade"
# Display a Yes-No dialog box and return result
askyesno() {
[ "${3}" = "no" ] && DEFNO="--defaultno" || DEFNO=""
$DIALOG $BACKLAB --title "$1" --backtitle "$BACKTITLE" $DEFNO --yesno "$2" 0 0
return $?
}
# Display a message dialog box
msgbox() {
$DIALOG --title "$1" --backtitle "$BACKTITLE" --msgbox "$2" 0 0
}
# Modify values in a system configuration file
mod_config() {
if [ $(grep -c "^${2}=" ${1}) -eq 1 ]; then
eval bs=$(grep "^${2}=" ${1} | sed "s/^${2}=//")
if [ "$bs" = "$3" ]; then
# printf '%-30s no changed needed\n' "$2"
return
fi
else
printf '%-30s not found in new config\n' "$2" | tee -a $LOGF
return
fi
rm -f $TMPC
cp -f $1 $TMPC
if [ "$3" = "yes" -o "$3" = "no" ]; then
sed "s^${2}=.*$${2}=${3}" $TMPC > $1
else
sed "s^${2}=.*$${2}=\"${3}\"" $TMPC > $1
fi
rm -f $TMPC
printf '%-30s changed to: "%s"\n' "$2" "$3" | tee -a $LOGF
}
pause() {
echo
read -n 1 -p "Press any key to continue ..."
echo
}
setmenuheight () {
let width=$(stty size|cut -f2 -d' ')
let height2=$(stty size|cut -f1 -d' ')-1
let height=$height2-10
linecount=$(cat $TMPD|wc -l)
[ $height -gt $linecount ] && height=$linecount
}
echo
if [ -e $RAMDISKDIR/newconfig ]; then
echo /shm/newconfig exists, please remove.
exit 1
fi
if [ ! -f /config/etc.tar.bz2 ]; then
echo Cannot find file: /config/etc.tar.bz2
exit 1
fi
for d in $RAMDISKDIR/etc $RAMDISKDIR/root
do
if [ ! -e "$d" ]; then
echo Cannot find directory: $d
exit 1
fi
done
rm -f $TMPD
cd $RAMDISKDIR
mkdir newconfig || exit 1
tar -xjf /config/etc.tar.bz2 -C newconfig
for f in $(find etc root -type f -print)
do
echo -n "."
[ $f = "etc/Devil-release" ] && continue
[ $f = "etc/issue" ] && continue
[ $f = "etc/issue.net" ] && continue
[ $f = "etc/sysconfig/config" ] && continue
[ $f = "etc/sysconfig/config.default" ] && continue
[ $f = "etc/sysconfig/config.old" ] && continue
[ $f = "etc/sysconfig/upgrade.log" ] && continue
[ $f = "etc/sysconfig/software" ] && continue
[ $f = "etc/mtab" ] && continue
[ $f = "etc/.pwd.lock" ] && continue
cmp -s $f newconfig/$f || echo $f \"\" off \"$f\" >> $TMPD
done
msgbox "Please read:" "The next screen will let you select which of your old config files you want to copy to your new configuration \n\nBe VERY CAREFUL to only copy files you have customized. Copying other files could cause severe problems.\n\nNote: Selecting \"Help\" will display info about the current file, but upon return you will lose all selections made."
while true
do
setmenuheight
eval $DIALOG --title \"Select files to be copied to the new config\" --backtitle \"$BACKTITLE\" \
--item-help --help-button \
--checklist \"[un]select files to be kept with the SPACE BAR\" 0 $width $height \
$(sort $TMPD) 2> $RESULT
RETURN=$?
if [ $RETURN -eq 0 ]; then
if [ "$(head -n1 $RESULT|cut -c1-4)" = "HELP" ]; then
# Help button pressed
for f in $(cat $RESULT|cut -c5-)
do
if [ -f "newconfig/$f" ]; then
echo > $TMPF
ls -l "$f" "newconfig/$f" >> $TMPF
eval $DIALOG --title \"the files:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
echo > $TMPF
diff -u "$f" "newconfig/$f" >> $TMPF
eval $DIALOG --title \"running diff on the files:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
rm -f $TMPF
eval $DIALOG --title \"the old/original file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$f" $height2 $width
eval $DIALOG --title \"the NEW file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "newconfig/$f" $height2 $width
else
echo > $TMPF
ls -l "$f" >> $TMPF
eval $DIALOG --title \"the old/original file:\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$TMPF" $height2 $width
rm -f $TMPF
eval $DIALOG --title \"the old/original file\" \
--backtitle \"$BACKTITLE\" \
--item-help --help-button \
--textbox "$f" $height2 $width
fi
done
else
# OK button pressed
echo >> $LOGF
echo "************************************************************" >> $LOGF
date >> $LOGF
echo >> $LOGF
echo "Files saved from old config:" >> $LOGF
echo "----------------------------" >> $LOGF
echo >> $LOGF
for f in $(cat $RESULT)
do
eval p=$f
d="$(dirname newconfig/$p)"
[ ! -d $d ] && mkdir -p $d
# echo cp -af $p newconfig/$p
echo "keeping file: $p" | tee -a $LOGF
cp -af $p newconfig/$p
done
break
fi
else
# Cancel button pressed
break
fi
done
echo
if askyesno "/etc/sysconfig/config migration" "Do you want to migrate old values to your new /etc/sysconfig/config ?" yes
then
echo >> $LOGF
echo >> $LOGF
echo "/etc/sysconfig/config migration:" >> $LOGF
echo "--------------------------------" >> $LOGF
echo >> $LOGF
cp -f etc/sysconfig/config newconfig/etc/sysconfig/config.old
cp -f newconfig/etc/sysconfig/config newconfig/etc/sysconfig/config.default
. etc/sysconfig/config
echo "Migrating /etc/sysconfig/config values "
echo
for bs in $(grep -v -e '^ *#' -e '^ *$' etc/sysconfig/config|cut -f1 -d'=')
do
eval mod_config newconfig/etc/sysconfig/config ${bs} \"\$${bs}\"
done
fi
rm -fr $TMPD $RESULT
|
|
From: <bl...@us...> - 2003-11-05 16:00:54
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv2935 Modified Files: upgrade-config Log Message: Added CVS info comments. Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.5 retrieving revision 1.6 diff -u -d -r1.5 -r1.6 --- upgrade-config 3 Nov 2003 18:19:16 -0000 1.5 +++ upgrade-config 5 Nov 2003 15:52:00 -0000 1.6 @@ -1,5 +1,14 @@ #!/bin/sh - +# $Id$ +# +# $Source$ +# $Revision$ +# $Date$ +# +# http://www.devil-linux.org +# +# Written by: Bruce Smith <dev...@re...> + TMPC=/shm/var/tmp/upd-config.$$ TMPD=/shm/var/tmp/upd-etc.$$ TMPF=/shm/var/tmp/upd-tmp.$$ |
|
From: <smi...@us...> - 2003-11-05 02:44:36
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs1:/tmp/cvs-serv15119/scripts/configuration Modified Files: ppp.config Removed Files: pppoe-patch4.config Log Message: consolidated ppp and pppoe patch into one script corrected wrong config name Index: ppp.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/ppp.config,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- ppp.config 2 Oct 2003 15:58:26 -0000 1.2 +++ ppp.config 5 Nov 2003 02:44:33 -0000 1.3 @@ -6,3 +6,6 @@ # http://www.devil-linux.org menu_add "Networking|Internet Connectivity" bool "PPP" CONFIG_PPP +if [ "$CONFIG_PPP" = "y" ]; then + menu_add "Networking|Internet Connectivity" bool "PPPoE Patch for PPPD" CONFIG_PPPOE_PATCH +fi --- pppoe-patch4.config DELETED --- |
|
From: <smi...@us...> - 2003-11-05 02:44:36
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv15119 Modified Files: CHANGES Log Message: consolidated ppp and pppoe patch into one script corrected wrong config name Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.551 retrieving revision 1.552 diff -u -d -r1.551 -r1.552 --- CHANGES 5 Nov 2003 02:07:44 -0000 1.551 +++ CHANGES 5 Nov 2003 02:44:32 -0000 1.552 @@ -23,6 +23,9 @@ # 1.1.1 +- updated pppoe-patch to v5 +- downgraded wvdial to v1.53 +- downgraded wvstreams to v3.70 - updated libxslt to v1.1.0 - updated libxml to v2.6.2 - updated iptables to v1.2.9 |
|
From: <smi...@us...> - 2003-11-05 02:44:36
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv15119/scripts Modified Files: ppp Removed Files: pppoe-patch4 Log Message: consolidated ppp and pppoe patch into one script corrected wrong config name Index: ppp =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/ppp,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- ppp 13 Oct 2003 17:36:09 -0000 1.9 +++ ppp 5 Nov 2003 02:44:33 -0000 1.10 @@ -27,30 +27,33 @@ MYNAME=PPP case $1 in - build ) - if [ "$CONFIG_PPP" = "y" ]; then - ./configure || exit 1 - make $PMAKE all || exit 1 - strip_debug - fi - ;; - - install ) - if [ "$CONFIG_PPP" = "y" ]; then - rm -rf $WORKDIR/tmp || exit 1 - mkdir -p $WORKDIR/tmp || exit 1 - make install DESTDIR=$WORKDIR/tmp || exit 1 - copy_docs $WORKDIR/tmp || exit 1 - copy_files $WORKDIR/tmp/usr $CDDIR/ || exit 1 - copy_files $WORKDIR/tmp/etc $ETCDIR/ || exit 1 - rm -rf $WORKDIR/tmp || exit 1 - fi - ;; + build ) + if [ "$CONFIG_PPP" = "y" ]; then + if [ "$CONFIG_PPPOE_PATCH" = "y" ]; then + bzcat $DL_DIR/src/ppp-2.4.1-pppoe*.patch.bz2 | patch -Np1 + fi + ./configure || exit 1 + make $PMAKE all || exit 1 + strip_debug + fi + ;; - * ) - echo "ERROR ($0)" - echo "please add parameter so I know what to do" - exit 1 - ;; + install ) + if [ "$CONFIG_PPP" = "y" ]; then + rm -rf $WORKDIR/tmp || exit 1 + mkdir -p $WORKDIR/tmp || exit 1 + make install DESTDIR=$WORKDIR/tmp || exit 1 + copy_docs $WORKDIR/tmp || exit 1 + copy_files $WORKDIR/tmp/usr $CDDIR/ || exit 1 + copy_files $WORKDIR/tmp/etc $ETCDIR/ || exit 1 + rm -rf $WORKDIR/tmp || exit 1 + fi + ;; + + * ) + echo "ERROR ($0)" + echo "please add parameter so I know what to do" + exit 1 + ;; esac --- pppoe-patch4 DELETED --- |
|
From: <smi...@us...> - 2003-11-05 02:43:36
|
Update of /cvsroot/devil-linux/build/scripts/configuration
In directory sc8-pr-cvs1:/tmp/cvs-serv14991/scripts/configuration
Modified Files:
Tag: rel-1-0-patches
pppoe-patch4.config
Log Message:
config option had wrong name, pppoe never got compiled in
Index: pppoe-patch4.config
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/configuration/pppoe-patch4.config,v
retrieving revision 1.2
retrieving revision 1.2.2.1
diff -u -d -r1.2 -r1.2.2.1
--- pppoe-patch4.config 2 Oct 2003 15:58:26 -0000 1.2
+++ pppoe-patch4.config 5 Nov 2003 02:43:32 -0000 1.2.2.1
@@ -6,5 +6,5 @@
# http://www.devil-linux.org
if [ "$CONFIG_PPP" = "y" ]; then
- menu_add "Networking|Internet Connectivity" bool "PPPoE Patch for PPPD" CONFIG_PPP_PATCH
+ menu_add "Networking|Internet Connectivity" bool "PPPoE Patch for PPPD" CONFIG_PPPOE_PATCH
fi
|
|
From: <smi...@us...> - 2003-11-05 02:43:36
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv14991
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
config option had wrong name, pppoe never got compiled in
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.24
retrieving revision 1.510.2.25
diff -u -d -r1.510.2.24 -r1.510.2.25
--- CHANGES 5 Nov 2003 01:08:44 -0000 1.510.2.24
+++ CHANGES 5 Nov 2003 02:43:32 -0000 1.510.2.25
@@ -23,6 +23,7 @@
#
1.0.2
+- pppoe patch was missing
- updated iptables to v1.2.9
- updated libxml2 to v2.6.2
- update binutils to v2.14
|
|
From: <smi...@us...> - 2003-11-05 02:07:47
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv9575/scripts
Modified Files:
wvdial wvstreams
Log Message:
downgraded and got it to compile with gcc3.3
thanks to the folks at blfs !
Index: wvdial
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/wvdial,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -d -r1.9 -r1.10
--- wvdial 13 Oct 2003 17:36:09 -0000 1.9
+++ wvdial 5 Nov 2003 02:07:44 -0000 1.10
@@ -38,9 +38,10 @@
install )
if [ "$CONFIG_PPP" = "y" ] && [ "$CONFIG_WVDIAL" = "y" ]; then
mkdir -p $CDDIR/usr/bin
- cp -dpR pppmon wvdial wvdialconf $CDDIR/usr/bin || exit 1
+ cp -dpR src/pppmon src/wvdial src/wvdialconf $CDDIR/usr/bin || exit 1
copy_man
mkdir -p $ETCDIR/etc/ppp/peers || exit 1
+ touch $ETCDIR/etc/wvdial.conf || exit 1
cp -dpR ppp.provider $ETCDIR/etc/ppp/peers/wvdial || exit 1
cp -dpR ppp.provider-pipe $ETCDIR/etc/ppp/peers/wvdial-pipe || exit 1
fi
Index: wvstreams
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/wvstreams,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -d -r1.12 -r1.13
--- wvstreams 3 Nov 2003 19:35:41 -0000 1.12
+++ wvstreams 5 Nov 2003 02:07:45 -0000 1.13
@@ -27,14 +27,19 @@
case $1 in
build )
if [ "$CONFIG_PPP" = "y" ] && [ "$CONFIG_WVDIAL" = "y" ]; then
- ./configure --prefix=/usr --with-openssl --with-zlib --disable-efence --disable-debug --with-fam || exit 1
- make $PMAKE VERBOSE=1 CXXOPTS="-fPIC -DPIC" COPTS="-fPIC -DPIC" all || exit 1
+ for PATCH in $(ls $DL_DIR/src/wvstreams*patch.bz2)
+ do
+ echo applying $PATCH
+ bzcat $PATCH | patch -p1 || exit 1
+ done
+ make PREFIX=/usr LDFLAGS="-lcrypt" || exit 1
+
strip_debug
# we have to install this immediately, because this is a library and could be needed by other sources
rm -f /usr/lib/libwvstreams.so
rm -f /usr/lib/libwvutils.so
- make install || exit 1
+ make PREFIX=/usr install || exit 1
fi
;;
|
|
From: <smi...@us...> - 2003-11-05 02:07:47
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv9575 Modified Files: CHANGES Log Message: downgraded and got it to compile with gcc3.3 thanks to the folks at blfs ! Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.550 retrieving revision 1.551 diff -u -d -r1.550 -r1.551 |
|
From: <smi...@us...> - 2003-11-05 01:09:30
|
Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1:/tmp/cvs-serv852/scripts
Modified Files:
iptables
Log Message:
software updates
Index: iptables
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/iptables,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -d -r1.20 -r1.21
--- iptables 2 Nov 2003 15:27:10 -0000 1.20
+++ iptables 5 Nov 2003 01:09:26 -0000 1.21
@@ -37,7 +37,7 @@
make all COPT_FLAGS="$FLAGS" KERNEL_DIR=$KERNELDIR || exit 1
strip_debug
# install it, so other programs can use it
- make install || exit 1
+ make install install-devel || exit 1
;;
install )
|
|
From: <smi...@us...> - 2003-11-05 01:09:29
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs1:/tmp/cvs-serv852 Modified Files: CHANGES Log Message: software updates Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.549 retrieving revision 1.550 diff -u -d -r1.549 -r1.550 --- CHANGES 3 Nov 2003 19:35:40 -0000 1.549 +++ CHANGES 5 Nov 2003 01:09:26 -0000 1.550 @@ -23,6 +23,9 @@ # 1.1.1 +- updated libxslt to v1.1.0 +- updated libxml to v2.6.2 +- updated iptables to v1.2.9 - updated vlan to v1.8 - updated libol to v0.3.11 - updated syslog-ng to v1.60rc4 |
|
From: <smi...@us...> - 2003-11-05 01:08:50
|
Update of /cvsroot/devil-linux/build/scripts/config
In directory sc8-pr-cvs1:/tmp/cvs-serv710/scripts/config
Modified Files:
Tag: rel-1-0-patches
VERSION
Log Message:
increased version number
documented updates
Index: VERSION
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/config/VERSION,v
retrieving revision 1.9.2.3
retrieving revision 1.9.2.4
diff -u -d -r1.9.2.3 -r1.9.2.4
--- VERSION 31 Oct 2003 15:30:33 -0000 1.9.2.3
+++ VERSION 5 Nov 2003 01:08:45 -0000 1.9.2.4
@@ -1 +1 @@
-1.0.1
+1.0.2
|
|
From: <smi...@us...> - 2003-11-05 01:08:49
|
Update of /cvsroot/devil-linux/build
In directory sc8-pr-cvs1:/tmp/cvs-serv710
Modified Files:
Tag: rel-1-0-patches
CHANGES
Log Message:
increased version number
documented updates
Index: CHANGES
===================================================================
RCS file: /cvsroot/devil-linux/build/CHANGES,v
retrieving revision 1.510.2.23
retrieving revision 1.510.2.24
diff -u -d -r1.510.2.23 -r1.510.2.24
--- CHANGES 31 Oct 2003 15:38:27 -0000 1.510.2.23
+++ CHANGES 5 Nov 2003 01:08:44 -0000 1.510.2.24
@@ -22,6 +22,11 @@
#
#
+1.0.2
+- updated iptables to v1.2.9
+- updated libxml2 to v2.6.2
+- update binutils to v2.14
+
1.0.1
- fixed setup to configure NIC's with correct BROADCAST address. (bs)
- added ipcalc for setup program (bs)
|
|
From: <smi...@us...> - 2003-11-04 13:47:14
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs1:/tmp/cvs-serv661/scripts Modified Files: syslinux Log Message: install missing tool Index: syslinux =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/syslinux,v retrieving revision 1.12 retrieving revision 1.13 diff -u -d -r1.12 -r1.13 --- syslinux 3 Nov 2003 19:35:41 -0000 1.12 +++ syslinux 4 Nov 2003 13:47:11 -0000 1.13 @@ -40,6 +40,7 @@ install ) cp isolinux.bin $CDDIR/boot || exit 1 + cp -dp ppmtolss16 /usr/bin || exit 1 ;; * ) |